cmake_minimum_required(VERSION 3.10)
set(CMAKE_CXX_STANDARD 17)
if (MSVC)
    add_compile_options("/Zc:__cplusplus" "/wd6031")
    include_directories("D:\\PortableApps\\MSYS2\\mingw64\\include\\c++\\8.3.0\\x86_64-w64-mingw32")
endif ()
add_executable("PREV-01" "PREV-01.cpp")
add_executable("PREV-02" "PREV-02.cpp")
add_executable("PREV-03" "PREV-03.cpp")
add_executable("PREV-04" "PREV-04.cpp")
add_executable("PREV-05" "PREV-05.cpp")
add_executable("PREV-06" "PREV-06.cpp")
add_executable("PREV-07" "PREV-07.cpp")
add_executable("PREV-08" "PREV-08.cpp")
add_executable("PREV-09" "PREV-09.cpp")
add_executable("PREV-10" "PREV-10.cpp")
add_executable("PREV-11" "PREV-11.cpp")
add_executable("PREV-12" "PREV-12.cpp")
add_executable("PREV-13" "PREV-13.cpp")
add_executable("PREV-14" "PREV-14.cpp")
add_executable("PREV-15" "PREV-15.cpp")
add_executable("PREV-16" "PREV-16.cpp")
add_executable("PREV-17" "PREV-17.cpp")
add_executable("PREV-18" "PREV-18.cpp")
add_executable("PREV-19" "PREV-19.cpp")
add_executable("PREV-20" "PREV-20.cpp")
add_executable("PREV-21" "PREV-21.cpp")
add_executable("PREV-22" "PREV-22.cpp")
add_executable("PREV-23" "PREV-23.cpp")
add_executable("PREV-24" "PREV-24.cpp")
add_executable("PREV-25" "PREV-25.cpp")
add_executable("PREV-26" "PREV-26.cpp")
add_executable("PREV-27" "PREV-27.cpp")
add_executable("PREV-28" "PREV-28.cpp")
add_executable("PREV-29" "PREV-29.cpp")
add_executable("PREV-30" "PREV-30.cpp")
add_executable("PREV-31" "PREV-31.cpp")
add_executable("PREV-32" "PREV-32.cpp")
add_executable("PREV-33" "PREV-33.cpp")
add_executable("PREV-34" "PREV-34.cpp")
add_executable("PREV-35" "PREV-35.cpp")
add_executable("PREV-36" "PREV-36.cpp")
add_executable("PREV-37" "PREV-37.cpp")
add_executable("PREV-38" "PREV-38.cpp")
add_executable("PREV-39" "PREV-39.cpp")
add_executable("PREV-40" "PREV-40.cpp")
add_executable("PREV-41" "PREV-41.cpp")
add_executable("PREV-42" "PREV-42.cpp")
add_executable("PREV-43" "PREV-43.cpp")
add_executable("PREV-44" "PREV-44.cpp")
add_executable("PREV-45" "PREV-45.cpp")
add_executable("PREV-46" "PREV-46.cpp")
add_executable("PREV-47" "PREV-47.cpp")
add_executable("PREV-48" "PREV-48.cpp")
add_executable("PREV-49" "PREV-49.cpp")
add_executable("PREV-50" "PREV-50.cpp")
add_executable("PREV-51" "PREV-51.cpp")
add_executable("PREV-52" "PREV-52.cpp")
add_executable("PREV-53" "PREV-53.cpp")
add_executable("PREV-54" "PREV-54.cpp")
add_executable("PREV-55" "PREV-55.cpp") 
